A function that matches the URL for a UrlRule

Implementations should match against the provided UrlParts and return the matched value (truthy) if the rule matches. If this rule is selected, the matched value is passed to the UrlRuleHandlerFn.

### Hierarchy

- UrlRuleMatchFn

### Callable

- __call(url?: UrlParts, router?: UIRouter): any

- A function that matches the URL for a UrlRule

- A function that matches the URL for a UrlRule

  Implementations should match against the provided UrlParts and return the matched value (truthy) if the rule matches. If this rule is selected, the matched value is passed to the UrlRuleHandlerFn.

  #### Parameters

  - ##### url: Optional UrlParts

  - ##### router: Optional UIRouter

  #### Returns any

  :

  the matched value, either truthy or falsey

  - Defined in url/interface.ts:448

Generated using TypeDoc